export class BranchMergeIndex {
    constructor(db) {
        this.db = db;
    }
    async insertBranchMerge(entry) {
        const id = `${entry.source_branch}:${entry.source_message_id}:${entry.target_branch}:${entry.target_message_id}`;
        await this.db.set("$branch_merges", { id, ...entry });
    }
}
BranchMergeIndex.schema = {
    $branch_merges: {
        id: "primary",
        source_branch: "integer",
        source_message_id: "string",
        source_clock: "integer",
        target_branch: "integer",
        target_message_id: "string",
        target_clock: "integer",
    },
};
